﻿@using SportsClub.Areas.Dashboard.Models
@model ChangePasswordViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a ng-if="type =='School'" class="action" ui-sref='Clubs({type:"Schools"})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
            <a ng-if="type =='Provider'" class="action" ui-sref='Clubs({type:"Providers"})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                {{Model.ClubName}}
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate ng-submit="save()">

        <fieldset>
            <legend>Reset password</legend>
            <div>
              
                <label>staff</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedStaff)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedStaff)>

                        <select chosen ng-model="@Html.Ang(m => m.SelectedStaff)"
                                name="selectedStaff" data-placeholder="Select the club staff..."
                                ng-options="obj.Value as obj.Text for obj in Model.ClubStaffs"></select>
                    </div>
                </div>
                <label class="req-star" for="@Html.Ang(m => m.NewPassword)">New password</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.NewPassword)>
                    <input type="password" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.NewPassword)" ng-model="@Html.Ang(m => m.NewPassword)" @Html.AngTooltipValidationFor(model => model.NewPassword) />
                </div>

                <label class="req-star" for="@Html.Ang(m => m.ConfirmPassword)">Confirm new password</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.ConfirmPassword)>
                    <input type="password" autocomplete="off" class="k-textbox" id="@Html.Ang(m => m.ConfirmPassword)" ng-model="@Html.Ang(m => m.ConfirmPassword)" @Html.AngTooltipValidationFor(model => model.ConfirmPassword) />
                </div>
            </div>

        </fieldset>

        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Save</button>

        <a class="place-left button link large" ui-sref='Clubs'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>
